## ros-eloquent-examples-rclcpp-minimal-action-client 0.8.3

=== debian/changelog ===
ros-eloquent-examples-rclcpp-minimal-action-client (0.8.3-1bionic) bionic; urgency=high

  * Added common linters (#265 <https://github.com/ros2/examples/issues/265>)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-examples-rclcpp-minimal-action-client (0.8.2-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-eloquent-examples-rclcpp-minimal-action-client (0.8.1-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 24 Oct 2019 05:00:00 -0000

ros-eloquent-examples-rclcpp-minimal-action-client (0.7.3-1bionic) bionic; urgency=high

  * Use action client get result method (#245 <https://github.com/ros2/examples/issues/245>)
    Since a result callback is not provided when sending the goal, the goal handle is not "result aware"
    and calling the action client method will make it so.
    The behaviour was changed in https://github.com/ros2/rclcpp/pull/701.
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-examples-rclcpp-minimal-action-client (0.7.2-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-examples-rclcpp-minimal-action-client (0.7.1-1bionic) bionic; urgency=high

  * Avoid deprecated API's by providing history settings (#240 <https://github.com/ros2/examples/issues/240>)
  * Add rclcpp action examples using member functions
  * Use options struct when action client sends a goal
  * Contributors: Jacob Perron, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-examples-rclcpp-minimal-action-client (0.7.0-1bionic) bionic; urgency=high

  * Updated to use separated action types. (#227 <https://github.com/ros2/examples/issues/227>)
  * Contributors: Dirk Thomas

 -- Jacob Perron <jacob@openrobotics.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-eloquent-examples-rclcpp-minimal-action-client (0.6.2-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 08 Feb 2019 06:00:00 -0000

ros-eloquent-examples-rclcpp-minimal-action-client (0.6.1-1bionic) bionic; urgency=high

  * Rclcpp action examples (#220 <https://github.com/ros2/examples/issues/220>)
    * Add minimal_action_server package
    Contains a non-composable implementation with global variables.
    * Add minimal_action_client package
    Contains a non-composable implementation.
    * Add action client example with feedback
    * async python action client example
    * goal -> future
    * fibb -> fib"
    * Syncronous action client example
    * No break statement
    * Update client examples to use separate rcl_action package
    * Add ClientGoalHandle to action client examplesj
    * Add action client with cancel example
    * python non-composable server example
    * [wip] Update action server cpp example
    * remove unnecessary event
    * create_action_server -> ActionServer
    * missing paren
    * Add example of multiple goals in parallel
    * No need for lock
    * Reentrant callback group for execute
    * create_action_client -> ActionClient
    * Fix copyright date
    * )
    * -)
    * Refactor action server cpp example
    * Fix action server cpp example
    Seed the fibonacci sequence and remove const.
    * Fix action server cpp example
    Forgot to increment in Fibonacci sequence loop.
    * Syntax fixes
    * node -> self
    * handle cb returns accept or reject
    * Update action client cpp example
    Return goal handle (containing future) when sending a goal.
    * Preempt goals
    * whitespace removal
    * execute returns result
    * Add missing resources
    * Syntax error
    * Add rcl_action dependency
    * Update maintainer
    * Use goal message getter and alias ResultResponse type
    * Make minimal_action_server work with rclcpp_action
    * Client and server communicate
    * handle_execute -> handle_accepted
    * Check if goal was rejected by server
    * Update example to check result
    * action client cancel example C++ works
    * misc changes to compile
    * misc client api changes
    * Remove python examples
    * Wait for action server
  * Contributors: Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 07 Dec 2018 06:00:00 -0000

ros-eloquent-examples-rclcpp-minimal-action-client (0.6.0-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 20 Nov 2018 06:00:00 -0000

ros-eloquent-examples-rclcpp-minimal-action-client (0.5.1-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 27 Jun 2018 05:00:00 -0000

ros-eloquent-examples-rclcpp-minimal-action-client (0.5.0-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 26 Jun 2018 05:00:00 -0000

ros-eloquent-examples-rclcpp-minimal-action-client (0.4.0-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 08 Dec 2017 06:00:00 -0000
