=== debian/control ===
Source: ros-eloquent-examples-rclcpp-minimal-action-client
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-example-interfaces, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-examples-rclcpp-minimal-action-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-example-interfaces, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-ros-workspace
Description: Minimal action client examples
